/*
 * SCEP REQUEST
 */

#include "scep.h"

#include <openssl/asn1_mac.h>
#include <openssl/pkcs7.h>
#include <openssl/x509.h>
#include <openssl/bio.h>
#include <openssl/err.h>

/* DER to Internal Issuer and Subject */
SCEP_ISSUER_AND_SUBJECT *d2i_SCEP_ISSUER_AND_SUBJECT(
	SCEP_ISSUER_AND_SUBJECT **a, unsigned char **pp, long length);

/* Internal to DER Issuer and Subject */
int i2d_SCEP_ISSUER_AND_SUBJECT (SCEP_ISSUER_AND_SUBJECT *a,
		unsigned char **pp);

/* New Issuer and Subject structure */
SCEP_ISSUER_AND_SUBJECT	*SCEP_ISSUER_AND_SUBJECT_new(void);

/* Free Issuer and Subject */
void SCEP_ISSUER_AND_SUBJECT_free(SCEP_ISSUER_AND_SUBJECT *ias);
